/[zanavi_public1]/navit/navit/Makefile.in
ZANavi

Contents of /navit/navit/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 41 - (show annotations) (download)
Tue Aug 11 18:50:37 2015 UTC (8 years, 7 months ago) by zoff99
File size: 77230 byte(s)
many fixes, and new features
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkglibexecdir = $(libexecdir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(top_srcdir)/Makefile.inc
41 @PLUGINS_TRUE@am__append_1 = .
42 @FONTS_TRUE@am__append_2 = fonts
43 @PLUGINS_FALSE@am__append_3 = .
44 @MAPTOOL_TRUE@am__append_4 = maptool
45 @BUILD_SAMPLEMAP_TRUE@am__append_5 = maps
46 @BIN_NAVIT_TRUE@bin_PROGRAMS = navit$(EXEEXT)
47 @SUPPORT_WIN32CE_TRUE@am__append_6 = -Lsupport/libc -lsupport_libc
48 @SUPPORT_ANDROID_TRUE@am__append_7 = \
49 @SUPPORT_ANDROID_TRUE@ vehicle/android/vehicle_android.c \
50 @SUPPORT_ANDROID_TRUE@ vehicle/demo/vehicle_demo.c \
51 @SUPPORT_ANDROID_TRUE@ gui/internal/gui_internal.c \
52 @SUPPORT_ANDROID_TRUE@ graphics/android/graphics_android.c \
53 @SUPPORT_ANDROID_TRUE@ map/binfile/binfile.c map/csv/csv.c \
54 @SUPPORT_ANDROID_TRUE@ map/csv/quadtree.c \
55 @SUPPORT_ANDROID_TRUE@ map/textfile/textfile.c \
56 @SUPPORT_ANDROID_TRUE@ osd/core/osd_core.c \
57 @SUPPORT_ANDROID_TRUE@ speech/android/speech_android.c \
58 @SUPPORT_ANDROID_TRUE@ android.c
59 @EVENT_GLIB_TRUE@am__append_8 = event_glib.c
60 @PLUGINS_FALSE@am__append_9 = builtin.c
61 @PLUGINS_FALSE@am__append_10 = $(MODULES)
62 @SUPPORT_WIN32_TRUE@am__append_11 = resource.rsc
63 @SUPPORT_WIN32CE_TRUE@@SUPPORT_WIN32_TRUE@am__append_12 = -lcommctrl -Lsupport/libc
64 @SUPPORT_WIN32CE_FALSE@@SUPPORT_WIN32_TRUE@am__append_13 = -lgdi32 -lcomctl32 -lwinmm
65 subdir = navit
66 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
67 am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
68 $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc21.m4 \
69 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
70 $(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
71 $(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
72 $(top_srcdir)/m4/isc-posix.m4 $(top_srcdir)/m4/lcmessage.m4 \
73 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
74 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
75 $(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
76 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
77 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
78 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
79 $(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
80 $(top_srcdir)/m4/signed.m4 $(top_srcdir)/m4/size_max.m4 \
81 $(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/uintmax_t.m4 \
82 $(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/m4/wchar_t.m4 \
83 $(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xsize.m4 \
84 $(top_srcdir)/configure.in
85 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86 $(ACLOCAL_M4)
87 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
88 CONFIG_HEADER = $(top_builddir)/config.h
89 CONFIG_CLEAN_FILES =
90 CONFIG_CLEAN_VPATH_FILES =
91 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
92 am__vpath_adj = case $$p in \
93 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
94 *) f=$$p;; \
95 esac;
96 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
97 am__install_max = 40
98 am__nobase_strip_setup = \
99 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
100 am__nobase_strip = \
101 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
102 am__nobase_list = $(am__nobase_strip_setup); \
103 for p in $$list; do echo "$$p $$p"; done | \
104 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
105 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
106 if (++n[$$2] == $(am__install_max)) \
107 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
108 END { for (dir in files) print dir, files[dir] }'
109 am__base_list = \
110 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
111 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
112 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
113 "$(DESTDIR)$(pkgdatadir)"
114 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
115 am__DEPENDENCIES_1 =
116 lib@LIBNAVIT@_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__append_10)
117 am__lib@LIBNAVIT@_la_SOURCES_DIST = announcement.c atom.c attr.c \
118 cache.c callback.c command.c compass.c config_.c coord.c \
119 country.c data_window.c debug.c event.c event_glib.h file.c \
120 graphics.c gui.c item.c layout.c log.c main.c map.c \
121 linguistics.c mapset.c maptype.c menu.c messages.c bookmarks.c \
122 bookmarks.h navit.c navigation.c osd.c param.c phrase.c \
123 plugin.c popup.c profile.c projection.c roadprofile.c route.c \
124 routech.c search.c speech.c start_real.c transform.c track.c \
125 util.c vehicle.c vehicleprofile.c xmlconfig.c announcement.h \
126 atom.h attr.h attr_def.h cache.h callback.h color.h command.h \
127 compass.h config_.h coord.h country.h android.h data.h \
128 data_window.h data_window_int.h debug.h destination.h \
129 draw_info.h endianess.h event.h file.h graphics.h gtkext.h \
130 gui.h item.h item_def.h keys.h log.h layer.h layout.h \
131 linguistics.h main.h map-share.h map.h map_data.h mapset.h \
132 maptype.h menu.h messages.h navigation.h navit.h osd.h param.h \
133 phrase.h plugin.h point.h plugin_def.h projection.h popup.h \
134 route.h profile.h roadprofile.h search.h speech.h start_real.h \
135 transform.h track.h types.h util.h vehicle.h vehicleprofile.h \
136 window.h xmlconfig.h zipfile.h navit_nls.h sunriset.c \
137 sunriset.h glib_slice.h maptool/miniz.c snprintf.c snprintf.h \
138 vehicle/android/vehicle_android.c vehicle/demo/vehicle_demo.c \
139 gui/internal/gui_internal.c \
140 graphics/android/graphics_android.c map/binfile/binfile.c \
141 map/csv/csv.c map/csv/quadtree.c map/textfile/textfile.c \
142 osd/core/osd_core.c speech/android/speech_android.c android.c \
143 event_glib.c builtin.c
144 @SUPPORT_ANDROID_TRUE@am__objects_1 = vehicle_android.lo \
145 @SUPPORT_ANDROID_TRUE@ vehicle_demo.lo gui_internal.lo \
146 @SUPPORT_ANDROID_TRUE@ graphics_android.lo binfile.lo csv.lo \
147 @SUPPORT_ANDROID_TRUE@ quadtree.lo textfile.lo osd_core.lo \
148 @SUPPORT_ANDROID_TRUE@ speech_android.lo android.lo
149 @EVENT_GLIB_TRUE@am__objects_2 = event_glib.lo
150 @PLUGINS_FALSE@am__objects_3 = builtin.lo
151 am_lib@LIBNAVIT@_la_OBJECTS = announcement.lo atom.lo attr.lo cache.lo \
152 callback.lo command.lo compass.lo config_.lo coord.lo \
153 country.lo data_window.lo debug.lo event.lo file.lo \
154 graphics.lo gui.lo item.lo layout.lo log.lo main.lo map.lo \
155 linguistics.lo mapset.lo maptype.lo menu.lo messages.lo \
156 bookmarks.lo navit.lo navigation.lo osd.lo param.lo phrase.lo \
157 plugin.lo popup.lo profile.lo projection.lo roadprofile.lo \
158 route.lo routech.lo search.lo speech.lo start_real.lo \
159 transform.lo track.lo util.lo vehicle.lo vehicleprofile.lo \
160 xmlconfig.lo sunriset.lo miniz.lo snprintf.lo $(am__objects_1) \
161 $(am__objects_2) $(am__objects_3)
162 lib@LIBNAVIT@_la_OBJECTS = $(am_lib@LIBNAVIT@_la_OBJECTS)
163 lib@LIBNAVIT@_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
164 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
165 $(lib@LIBNAVIT@_la_LDFLAGS) $(LDFLAGS) -o $@
166 @SHARED_LIBNAVIT_FALSE@am_lib@LIBNAVIT@_la_rpath =
167 @SHARED_LIBNAVIT_TRUE@am_lib@LIBNAVIT@_la_rpath = -rpath $(libdir)
168 PROGRAMS = $(bin_PROGRAMS)
169 am__navit_SOURCES_DIST = start.c
170 @SUPPORT_ANDROID_FALSE@am_navit_OBJECTS = start.$(OBJEXT)
171 navit_OBJECTS = $(am_navit_OBJECTS)
172 @SUPPORT_ANDROID_FALSE@navit_DEPENDENCIES = lib@LIBNAVIT@.la \
173 @SUPPORT_ANDROID_FALSE@ $(am__append_11) $(am__DEPENDENCIES_1) \
174 @SUPPORT_ANDROID_FALSE@ $(am__DEPENDENCIES_1)
175 @SUPPORT_ANDROID_TRUE@navit_DEPENDENCIES = $(am__append_11) \
176 @SUPPORT_ANDROID_TRUE@ $(am__DEPENDENCIES_1) \
177 @SUPPORT_ANDROID_TRUE@ $(am__DEPENDENCIES_1)
178 navit_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
179 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(navit_LDFLAGS) \
180 $(LDFLAGS) -o $@
181 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
182 depcomp = $(SHELL) $(top_srcdir)/depcomp
183 am__depfiles_maybe = depfiles
184 am__mv = mv -f
185 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
186 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
187 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
188 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
190 CCLD = $(CC)
191 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
192 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
193 $(LDFLAGS) -o $@
194 SOURCES = $(lib@LIBNAVIT@_la_SOURCES) $(navit_SOURCES)
195 DIST_SOURCES = $(am__lib@LIBNAVIT@_la_SOURCES_DIST) \
196 $(am__navit_SOURCES_DIST)
197 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
198 html-recursive info-recursive install-data-recursive \
199 install-dvi-recursive install-exec-recursive \
200 install-html-recursive install-info-recursive \
201 install-pdf-recursive install-ps-recursive install-recursive \
202 installcheck-recursive installdirs-recursive pdf-recursive \
203 ps-recursive uninstall-recursive
204 DATA = $(pkgdata_DATA)
205 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
206 distclean-recursive maintainer-clean-recursive
207 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
208 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
209 distdir
210 ETAGS = etags
211 CTAGS = ctags
212 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
213 am__relativize = \
214 dir0=`pwd`; \
215 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
216 sed_rest='s,^[^/]*/*,,'; \
217 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
218 sed_butlast='s,/*[^/]*$$,,'; \
219 while test -n "$$dir1"; do \
220 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
221 if test "$$first" != "."; then \
222 if test "$$first" = ".."; then \
223 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
224 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
225 else \
226 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
227 if test "$$first2" = "$$first"; then \
228 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
229 else \
230 dir2="../$$dir2"; \
231 fi; \
232 dir0="$$dir0"/"$$first"; \
233 fi; \
234 fi; \
235 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
236 done; \
237 reldir="$$dir2"
238 ACLOCAL = @ACLOCAL@
239 ALLOCA = @ALLOCA@
240 AMTAR = @AMTAR@
241 ANDROID_PERMISSIONS = @ANDROID_PERMISSIONS@
242 ANDROID_PROJECT = @ANDROID_PROJECT@
243 AR = @AR@
244 AUTOCONF = @AUTOCONF@
245 AUTOHEADER = @AUTOHEADER@
246 AUTOMAKE = @AUTOMAKE@
247 AWK = @AWK@
248 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
249 CATOBJEXT = @CATOBJEXT@
250 CC = @CC@
251 CCDEPMODE = @CCDEPMODE@
252 CCLD_FOR_BUILD = @CCLD_FOR_BUILD@
253 CC_FOR_BUILD = @CC_FOR_BUILD@
254 CFLAGS = @CFLAGS@
255 CPP = @CPP@
256 CPPFLAGS = @CPPFLAGS@
257 CRYPTO_LIBS = @CRYPTO_LIBS@
258 CXX = @CXX@
259 CXXCPP = @CXXCPP@
260 CXXDEPMODE = @CXXDEPMODE@
261 CXXFLAGS = @CXXFLAGS@
262 CYGPATH_W = @CYGPATH_W@
263 DATADIRNAME = @DATADIRNAME@
264 DBUS_CFLAGS = @DBUS_CFLAGS@
265 DBUS_LIBS = @DBUS_LIBS@
266 DBUS_SERVICE_DIR = @DBUS_SERVICE_DIR@
267 DEFS = @DEFS@
268 DEPDIR = @DEPDIR@
269 DSYMUTIL = @DSYMUTIL@
270 DUMPBIN = @DUMPBIN@
271 ECHO_C = @ECHO_C@
272 ECHO_N = @ECHO_N@
273 ECHO_T = @ECHO_T@
274 EGREP = @EGREP@
275 EXEEXT = @EXEEXT@
276 FGREP = @FGREP@
277 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
278 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
279 FREEIMAGE_LIBS = @FREEIMAGE_LIBS@
280 FREETYPE2_CFLAGS = @FREETYPE2_CFLAGS@
281 FREETYPE2_LIBS = @FREETYPE2_LIBS@
282 FRIBIDI2_CFLAGS = @FRIBIDI2_CFLAGS@
283 FRIBIDI2_LIBS = @FRIBIDI2_LIBS@
284 FRIBIDI_CFLAGS = @FRIBIDI_CFLAGS@
285 FRIBIDI_LIBS = @FRIBIDI_LIBS@
286 GDLIB_CONFIG = @GDLIB_CONFIG@
287 GD_CFLAGS = @GD_CFLAGS@
288 GD_LIBS = @GD_LIBS@
289 GENCAT = @GENCAT@
290 GLC_CFLAGS = @GLC_CFLAGS@
291 GLC_LIBS = @GLC_LIBS@
292 GLIBC21 = @GLIBC21@
293 GLIB_CFLAGS = @GLIB_CFLAGS@
294 GLIB_LIBS = @GLIB_LIBS@
295 GMODULE_CFLAGS = @GMODULE_CFLAGS@
296 GMODULE_LIBS = @GMODULE_LIBS@
297 GMSGFMT = @GMSGFMT@
298 GPSBT_CFLAGS = @GPSBT_CFLAGS@
299 GPSBT_LIBS = @GPSBT_LIBS@
300 GPSD_CFLAGS = @GPSD_CFLAGS@
301 GPSD_LIBS = @GPSD_LIBS@
302 GREP = @GREP@
303 GTK2_CFLAGS = @GTK2_CFLAGS@
304 GTK2_LIBS = @GTK2_LIBS@
305 GYPSY_CFLAGS = @GYPSY_CFLAGS@
306 GYPSY_LIBS = @GYPSY_LIBS@
307 HAVE_ASPRINTF = @HAVE_ASPRINTF@
308 HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
309 HAVE_SNPRINTF = @HAVE_SNPRINTF@
310 HAVE_WPRINTF = @HAVE_WPRINTF@
311 HILDON_CFLAGS = @HILDON_CFLAGS@
312 HILDON_LIBS = @HILDON_LIBS@
313 IMLIB2_CFLAGS = @IMLIB2_CFLAGS@
314 IMLIB2_LIBS = @IMLIB2_LIBS@
315 INSTALL = @INSTALL@
316 INSTALL_DATA = @INSTALL_DATA@
317 INSTALL_PROGRAM = @INSTALL_PROGRAM@
318 INSTALL_SCRIPT = @INSTALL_SCRIPT@
319 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
320 INSTOBJEXT = @INSTOBJEXT@
321 INTLBISON = @INTLBISON@
322 INTLIBS = @INTLIBS@
323 INTLLIBS = @INTLLIBS@
324 INTLOBJS = @INTLOBJS@
325 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
326 IPHONE_CFLAGS = @IPHONE_CFLAGS@
327 IPHONE_LIBS = @IPHONE_LIBS@
328 LD = @LD@
329 LDFLAGS = @LDFLAGS@
330 LIBC_LIBS = @LIBC_LIBS@
331 LIBGARMIN_CFLAGS = @LIBGARMIN_CFLAGS@
332 LIBGARMIN_LIBS = @LIBGARMIN_LIBS@
333 LIBGPS19_CFLAGS = @LIBGPS19_CFLAGS@
334 LIBGPS19_LIBS = @LIBGPS19_LIBS@
335 LIBICONV = @LIBICONV@
336 LIBINTL = @LIBINTL@
337 LIBLOCATION_CFLAGS = @LIBLOCATION_CFLAGS@
338 LIBLOCATION_LIBS = @LIBLOCATION_LIBS@
339 LIBNAVIT = @LIBNAVIT@
340 LIBOBJS = @LIBOBJS@
341 LIBOSSO_CFLAGS = @LIBOSSO_CFLAGS@
342 LIBOSSO_LIBS = @LIBOSSO_LIBS@
343 LIBPDL_CFLAGS = @LIBPDL_CFLAGS@
344 LIBPDL_LIBS = @LIBPDL_LIBS@
345 LIBS = @LIBS@
346 LIBTOOL = @LIBTOOL@
347 LIPO = @LIPO@
348 LN_S = @LN_S@
349 LTLIBICONV = @LTLIBICONV@
350 LTLIBINTL = @LTLIBINTL@
351 LTLIBOBJS = @LTLIBOBJS@
352 MAINT = @MAINT@
353 MAKEINFO = @MAKEINFO@
354 MKDIR_P = @MKDIR_P@
355 MKINSTALLDIRS = @MKINSTALLDIRS@
356 MOC = @MOC@
357 MODULE_LDFLAGS = @MODULE_LDFLAGS@
358 MODULE_LIBADD = @MODULE_LIBADD@
359 MOFILES = @MOFILES@
360 MSGFMT = @MSGFMT@
361 MSGMERGE = @MSGMERGE@
362 NAVIT_CFLAGS = @NAVIT_CFLAGS@
363 NAVIT_LIBS = @NAVIT_LIBS@
364 NAVIT_MODULE_LDFLAGS = @NAVIT_MODULE_LDFLAGS@
365 NAVIT_SOCKET_LDFLAGS = @NAVIT_SOCKET_LDFLAGS@
366 NAVIT_VARIANT = @NAVIT_VARIANT@
367 NM = @NM@
368 NMEDIT = @NMEDIT@
369 OBJC = @OBJC@
370 OBJCDEPMODE = @OBJCDEPMODE@
371 OBJCFLAGS = @OBJCFLAGS@
372 OBJDUMP = @OBJDUMP@
373 OBJEXT = @OBJEXT@
374 OPENGL_CFLAGS = @OPENGL_CFLAGS@
375 OPENGL_LIBS = @OPENGL_LIBS@
376 OTOOL = @OTOOL@
377 OTOOL64 = @OTOOL64@
378 PACKAGE = @PACKAGE@
379 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
380 PACKAGE_NAME = @PACKAGE_NAME@
381 PACKAGE_STRING = @PACKAGE_STRING@
382 PACKAGE_TARNAME = @PACKAGE_TARNAME@
383 PACKAGE_URL = @PACKAGE_URL@
384 PACKAGE_VERSION = @PACKAGE_VERSION@
385 PATH_SEPARATOR = @PATH_SEPARATOR@
386 PG_CONFIG = @PG_CONFIG@
387 PKG_CONFIG = @PKG_CONFIG@
388 POFILES = @POFILES@
389 POIFILES = @POIFILES@
390 POSTGRESQL_CFLAGS = @POSTGRESQL_CFLAGS@
391 POSTGRESQL_LIBS = @POSTGRESQL_LIBS@
392 POSUB = @POSUB@
393 PYTHONCONFIG = @PYTHONCONFIG@
394 PYTHON_CFLAGS = @PYTHON_CFLAGS@
395 PYTHON_LIBS = @PYTHON_LIBS@
396 QT_DECLARATIVE_CFLAGS = @QT_DECLARATIVE_CFLAGS@
397 QT_DECLARATIVE_LIBS = @QT_DECLARATIVE_LIBS@
398 QT_GUI_CFLAGS = @QT_GUI_CFLAGS@
399 QT_GUI_LIBS = @QT_GUI_LIBS@
400 QT_SVG_CFLAGS = @QT_SVG_CFLAGS@
401 QT_SVG_LIBS = @QT_SVG_LIBS@
402 QT_XML_CFLAGS = @QT_XML_CFLAGS@
403 QT_XML_LIBS = @QT_XML_LIBS@
404 RANLIB = @RANLIB@
405 SAXON = @SAXON@
406 SDL_CFLAGS = @SDL_CFLAGS@
407 SDL_IMAGE_LIBS = @SDL_IMAGE_LIBS@
408 SDL_LIBS = @SDL_LIBS@
409 SED = @SED@
410 SET_MAKE = @SET_MAKE@
411 SHAPEFILE_CFLAGS = @SHAPEFILE_CFLAGS@
412 SHAPEFILE_LIBS = @SHAPEFILE_LIBS@
413 SHELL = @SHELL@
414 SOURCE_MODE = @SOURCE_MODE@
415 SPEECHD_CFLAGS = @SPEECHD_CFLAGS@
416 SPEECHD_LIBS = @SPEECHD_LIBS@
417 STRIP = @STRIP@
418 SVG2PNG = @SVG2PNG@
419 SVG2PNG_SCALES = @SVG2PNG_SCALES@
420 SVG2PNG_SCALES_FLAG = @SVG2PNG_SCALES_FLAG@
421 SVG2PNG_SCALES_NAV = @SVG2PNG_SCALES_NAV@
422 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
423 USE_NLS = @USE_NLS@
424 VERSION = @VERSION@
425 WINDRES = @WINDRES@
426 WORDEXP_LIBS = @WORDEXP_LIBS@
427 XGETTEXT = @XGETTEXT@
428 XSLTS = @XSLTS@
429 ZLIB_CFLAGS = @ZLIB_CFLAGS@
430 ZLIB_LIBS = @ZLIB_LIBS@
431 _PATH_BZCAT = @_PATH_BZCAT@
432 _PATH_PYTHON = @_PATH_PYTHON@
433 abs_builddir = @abs_builddir@
434 abs_srcdir = @abs_srcdir@
435 abs_top_builddir = @abs_top_builddir@
436 abs_top_srcdir = @abs_top_srcdir@
437 ac_ct_CC = @ac_ct_CC@
438 ac_ct_CXX = @ac_ct_CXX@
439 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
440 ac_ct_OBJC = @ac_ct_OBJC@
441 am__include = @am__include@
442 am__leading_dot = @am__leading_dot@
443 am__quote = @am__quote@
444 am__tar = @am__tar@
445 am__untar = @am__untar@
446 bindir = @bindir@
447 build = @build@
448 build_alias = @build_alias@
449 build_cpu = @build_cpu@
450 build_os = @build_os@
451 build_vendor = @build_vendor@
452 builddir = @builddir@
453 cross_compiling = @cross_compiling@
454 datadir = @datadir@
455 datarootdir = @datarootdir@
456 docdir = @docdir@
457 dvidir = @dvidir@
458 exec_prefix = @exec_prefix@
459 host = @host@
460 host_alias = @host_alias@
461 host_cpu = @host_cpu@
462 host_os = @host_os@
463 host_vendor = @host_vendor@
464 htmldir = @htmldir@
465 includedir = @includedir@
466 infodir = @infodir@
467 install_sh = @install_sh@
468 libdir = @libdir@
469 libexecdir = @libexecdir@
470 localedir = @localedir@
471 localstatedir = @localstatedir@
472 lt_ECHO = @lt_ECHO@
473 mandir = @mandir@
474 mkdir_p = @mkdir_p@
475 oldincludedir = @oldincludedir@
476 pdfdir = @pdfdir@
477 prefix = @prefix@
478 program_transform_name = @program_transform_name@
479 psdir = @psdir@
480 sbindir = @sbindir@
481 sharedstatedir = @sharedstatedir@
482 srcdir = @srcdir@
483 sysconfdir = @sysconfdir@
484 target_alias = @target_alias@
485 top_build_prefix = @top_build_prefix@
486 top_builddir = @top_builddir@
487 top_srcdir = @top_srcdir@
488 modulebindingdir = $(pkglibdir)/binding
489 modulemapdir = $(pkglibdir)/map
490 modulefontdir = $(pkglibdir)/font
491 modulegraphicsdir = $(pkglibdir)/graphics
492 moduleguidir = $(pkglibdir)/gui
493 modulespeechdir = $(pkglibdir)/speech
494 moduleosddir = $(pkglibdir)/osd
495 modulevehicledir = $(pkglibdir)/vehicle
496 moduleplugindir = $(pkglibdir)/plugin
497 moduleautoloaddir = $(pkglibdir)/autoload
498 pkgdocdir = $(pkgdatadir)
499 xpmdir = $(pkgdatadir)/xpm
500 skinsdir = $(pkgdatadir)/skins
501 fontsdir = $(pkgdatadir)/fonts
502 mapsdir = $(pkgdatadir)/maps
503 comma = ,
504 SUBDIRS = fib-1.1 support $(am__append_1) autoload binding map font \
505 gui graphics osd plugin speech vehicle xpm $(am__append_2) \
506 $(am__append_3) $(am__append_4) $(am__append_5)
507 DIST_SUBDIRS = autoload binding map maptool fib-1.1 font fonts gui graphics osd plugin speech vehicle support xpm maps
508 MODULES = $(wildcard $(top_builddir)/navit/binding/*/*.la $(top_builddir)/navit/font/*/*.la $(top_builddir)/navit/graphics/*/*.la $(top_builddir)/navit/gui/*/*.la $(top_builddir)/navit/map/*/*.la $(top_builddir)/navit/osd/*/*.la $(top_builddir)/navit/speech/*/*.la $(top_builddir)/navit/vehicle/*/*.la)
509 AM_CPPFLAGS = -I$(top_srcdir)/navit/fib-1.1 @NAVIT_CFLAGS@ @ZLIB_CFLAGS@ -DPREFIX=\"@prefix@\" -DLIBDIR=\"@libdir@\" -DMODULE=navit
510 BUILT_SOURCES = version.h navit_config.h
511 @SHARED_LIBNAVIT_TRUE@lib_LTLIBRARIES = lib@LIBNAVIT@.la
512 @SHARED_LIBNAVIT_TRUE@lib@LIBNAVIT@_la_LDFLAGS = -avoid-version @MODULE_LDFLAGS@ @NAVIT_SOCKET_LDFLAGS@ -no-undefined -Wl,--no-undefined
513 @SHARED_LIBNAVIT_FALSE@noinst_LTLIBRARIES = lib@LIBNAVIT@.la
514 lib@LIBNAVIT@_la_LIBADD = @NAVIT_LIBS@ @WORDEXP_LIBS@ @ZLIB_LIBS@ \
515 @INTLLIBS@ -Lfib-1.1 -lfib @MODULE_LIBADD@ @CRYPTO_LIBS@ \
516 $(am__append_6) $(am__append_10)
517 pkgdata_DATA = navit.xml
518 EXTRA_DIST = navit_shipped.xml navit.dtd
519 lib@LIBNAVIT@_la_SOURCES = announcement.c atom.c attr.c cache.c \
520 callback.c command.c compass.c config_.c coord.c country.c \
521 data_window.c debug.c event.c event_glib.h file.c graphics.c \
522 gui.c item.c layout.c log.c main.c map.c linguistics.c \
523 mapset.c maptype.c menu.c messages.c bookmarks.c bookmarks.h \
524 navit.c navigation.c osd.c param.c phrase.c plugin.c popup.c \
525 profile.c projection.c roadprofile.c route.c routech.c \
526 search.c speech.c start_real.c transform.c track.c util.c \
527 vehicle.c vehicleprofile.c xmlconfig.c announcement.h atom.h \
528 attr.h attr_def.h cache.h callback.h color.h command.h \
529 compass.h config_.h coord.h country.h android.h data.h \
530 data_window.h data_window_int.h debug.h destination.h \
531 draw_info.h endianess.h event.h file.h graphics.h gtkext.h \
532 gui.h item.h item_def.h keys.h log.h layer.h layout.h \
533 linguistics.h main.h map-share.h map.h map_data.h mapset.h \
534 maptype.h menu.h messages.h navigation.h navit.h osd.h param.h \
535 phrase.h plugin.h point.h plugin_def.h projection.h popup.h \
536 route.h profile.h roadprofile.h search.h speech.h start_real.h \
537 transform.h track.h types.h util.h vehicle.h vehicleprofile.h \
538 window.h xmlconfig.h zipfile.h navit_nls.h sunriset.c \
539 sunriset.h glib_slice.h maptool/miniz.c snprintf.c snprintf.h \
540 $(am__append_7) $(am__append_8) $(am__append_9)
541 @SUPPORT_ANDROID_FALSE@navit_SOURCES = start.c
542 @SUPPORT_ANDROID_TRUE@navit_SOURCES =
543 @SUPPORT_ANDROID_FALSE@navit_LDADD = lib@LIBNAVIT@.la @NAVIT_LIBS@ \
544 @SUPPORT_ANDROID_FALSE@ @WORDEXP_LIBS@ @ZLIB_LIBS@ \
545 @SUPPORT_ANDROID_FALSE@ @CRYPTO_LIBS@ @INTLLIBS@ \
546 @SUPPORT_ANDROID_FALSE@ $(am__append_11) $(am__append_12) \
547 @SUPPORT_ANDROID_FALSE@ $(am__append_13)
548 @SUPPORT_ANDROID_TRUE@navit_LDADD = @NAVIT_LIBS@ @WORDEXP_LIBS@ \
549 @SUPPORT_ANDROID_TRUE@ @ZLIB_LIBS@ @CRYPTO_LIBS@ @INTLLIBS@ \
550 @SUPPORT_ANDROID_TRUE@ $(am__append_11) $(am__append_12) \
551 @SUPPORT_ANDROID_TRUE@ $(am__append_13)
552 @SUPPORT_ANDROID_TRUE@v_int = $$(cat $(srcdir)/android/Android_Market_Version_int.txt|grep v_int|cut -d ":" -f 2)
553 @SUPPORT_ANDROID_TRUE@v_name = "1.0.0-"$$(LANG=C svnversion $(top_srcdir) 2> /dev/null|tr -d ":A-Z" 2> /dev/null)
554 @SUPPORT_ANDROID_TRUE@b_arch = $(shell if [ "$(DO_X86_BUILD)" == "1" ]; then echo "x86"; elif [ "$(DO_ARMV7_BUILD)" == "1" ]; then echo "armeabi-v7a"; else echo "armeabi"; fi)
555 navit_LDFLAGS = -export-dynamic
556 all: $(BUILT_SOURCES)
557 $(MAKE) $(AM_MAKEFLAGS) all-recursive
558
559 .SUFFIXES:
560 .SUFFIXES: .c .lo .o .obj
561 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.inc $(am__configure_deps)
562 @for dep in $?; do \
563 case '$(am__configure_deps)' in \
564 *$$dep*) \
565 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
566 && { if test -f $@; then exit 0; else break; fi; }; \
567 exit 1;; \
568 esac; \
569 done; \
570 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu navit/Makefile'; \
571 $(am__cd) $(top_srcdir) && \
572 $(AUTOMAKE) --gnu navit/Makefile
573 .PRECIOUS: Makefile
574 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
575 @case '$?' in \
576 *config.status*) \
577 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
578 *) \
579 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
580 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
581 esac;
582
583 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
584 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
585
586 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
587 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
589 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590 $(am__aclocal_m4_deps):
591 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
592 @$(NORMAL_INSTALL)
593 test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
594 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
595 list2=; for p in $$list; do \
596 if test -f $$p; then \
597 list2="$$list2 $$p"; \
598 else :; fi; \
599 done; \
600 test -z "$$list2" || { \
601 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
602 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
603 }
604
605 uninstall-libLTLIBRARIES:
606 @$(NORMAL_UNINSTALL)
607 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
608 for p in $$list; do \
609 $(am__strip_dir) \
610 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
611 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
612 done
613
614 clean-libLTLIBRARIES:
615 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
616 @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
617 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
618 test "$$dir" != "$$p" || dir=.; \
619 echo "rm -f \"$${dir}/so_locations\""; \
620 rm -f "$${dir}/so_locations"; \
621 done
622
623 clean-noinstLTLIBRARIES:
624 -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
625 @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
626 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
627 test "$$dir" != "$$p" || dir=.; \
628 echo "rm -f \"$${dir}/so_locations\""; \
629 rm -f "$${dir}/so_locations"; \
630 done
631 lib@LIBNAVIT@.la: $(lib@LIBNAVIT@_la_OBJECTS) $(lib@LIBNAVIT@_la_DEPENDENCIES)
632 $(lib@LIBNAVIT@_la_LINK) $(am_lib@LIBNAVIT@_la_rpath) $(lib@LIBNAVIT@_la_OBJECTS) $(lib@LIBNAVIT@_la_LIBADD) $(LIBS)
633 install-binPROGRAMS: $(bin_PROGRAMS)
634 @$(NORMAL_INSTALL)
635 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
636 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
637 for p in $$list; do echo "$$p $$p"; done | \
638 sed 's/$(EXEEXT)$$//' | \
639 while read p p1; do if test -f $$p || test -f $$p1; \
640 then echo "$$p"; echo "$$p"; else :; fi; \
641 done | \
642 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
643 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
644 sed 'N;N;N;s,\n, ,g' | \
645 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
646 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
647 if ($$2 == $$4) files[d] = files[d] " " $$1; \
648 else { print "f", $$3 "/" $$4, $$1; } } \
649 END { for (d in files) print "f", d, files[d] }' | \
650 while read type dir files; do \
651 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
652 test -z "$$files" || { \
653 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
654 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
655 } \
656 ; done
657
658 uninstall-binPROGRAMS:
659 @$(NORMAL_UNINSTALL)
660 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
661 files=`for p in $$list; do echo "$$p"; done | \
662 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
663 -e 's/$$/$(EXEEXT)/' `; \
664 test -n "$$list" || exit 0; \
665 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
666 cd "$(DESTDIR)$(bindir)" && rm -f $$files
667
668 clean-binPROGRAMS:
669 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
670 echo " rm -f" $$list; \
671 rm -f $$list || exit $$?; \
672 test -n "$(EXEEXT)" || exit 0; \
673 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
674 echo " rm -f" $$list; \
675 rm -f $$list
676 navit$(EXEEXT): $(navit_OBJECTS) $(navit_DEPENDENCIES)
677 @rm -f navit$(EXEEXT)
678 $(navit_LINK) $(navit_OBJECTS) $(navit_LDADD) $(LIBS)
679
680 mostlyclean-compile:
681 -rm -f *.$(OBJEXT)
682
683 distclean-compile:
684 -rm -f *.tab.c
685
686 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/android.Plo@am__quote@
687 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/announcement.Plo@am__quote@
688 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atom.Plo@am__quote@
689 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attr.Plo@am__quote@
690 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/binfile.Plo@am__quote@
691 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bookmarks.Plo@am__quote@
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/builtin.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cache.Plo@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/callback.Plo@am__quote@
695 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command.Plo@am__quote@
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compass.Plo@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/config_.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/coord.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/country.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/csv.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/data_window.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_glib.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_android.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_internal.Plo@am__quote@
710 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/item.Plo@am__quote@
711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/layout.Plo@am__quote@
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linguistics.Plo@am__quote@
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/map.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mapset.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maptype.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/menu.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/miniz.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navigation.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navit.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osd.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osd_core.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/param.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phrase.Plo@am__quote@
727 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Plo@am__quote@
728 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/popup.Plo@am__quote@
729 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/profile.Plo@am__quote@
730 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/projection.Plo@am__quote@
731 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree.Plo@am__quote@
732 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/roadprofile.Plo@am__quote@
733 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/route.Plo@am__quote@
734 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/routech.Plo@am__quote@
735 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/search.Plo@am__quote@
736 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snprintf.Plo@am__quote@
737 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/speech.Plo@am__quote@
738 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/speech_android.Plo@am__quote@
739 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start.Po@am__quote@
740 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start_real.Plo@am__quote@
741 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sunriset.Plo@am__quote@
742 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/textfile.Plo@am__quote@
743 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/track.Plo@am__quote@
744 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/transform.Plo@am__quote@
745 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
746 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle.Plo@am__quote@
747 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle_android.Plo@am__quote@
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle_demo.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicleprofile.Plo@am__quote@
750 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xmlconfig.Plo@am__quote@
751
752 .c.o:
753 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
754 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
758
759 .c.obj:
760 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
761 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
765
766 .c.lo:
767 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
768 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771 @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
772
773 miniz.lo: maptool/miniz.c
774 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT miniz.lo -MD -MP -MF $(DEPDIR)/miniz.Tpo -c -o miniz.lo `test -f 'maptool/miniz.c' || echo '$(srcdir)/'`maptool/miniz.c
775 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/miniz.Tpo $(DEPDIR)/miniz.Plo
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='maptool/miniz.c' object='miniz.lo' libtool=yes @AMDEPBACKSLASH@
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o miniz.lo `test -f 'maptool/miniz.c' || echo '$(srcdir)/'`maptool/miniz.c
779
780 vehicle_android.lo: vehicle/android/vehicle_android.c
781 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vehicle_android.lo -MD -MP -MF $(DEPDIR)/vehicle_android.Tpo -c -o vehicle_android.lo `test -f 'vehicle/android/vehicle_android.c' || echo '$(srcdir)/'`vehicle/android/vehicle_android.c
782 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/vehicle_android.Tpo $(DEPDIR)/vehicle_android.Plo
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='vehicle/android/vehicle_android.c' object='vehicle_android.lo' libtool=yes @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vehicle_android.lo `test -f 'vehicle/android/vehicle_android.c' || echo '$(srcdir)/'`vehicle/android/vehicle_android.c
786
787 vehicle_demo.lo: vehicle/demo/vehicle_demo.c
788 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vehicle_demo.lo -MD -MP -MF $(DEPDIR)/vehicle_demo.Tpo -c -o vehicle_demo.lo `test -f 'vehicle/demo/vehicle_demo.c' || echo '$(srcdir)/'`vehicle/demo/vehicle_demo.c
789 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/vehicle_demo.Tpo $(DEPDIR)/vehicle_demo.Plo
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='vehicle/demo/vehicle_demo.c' object='vehicle_demo.lo' libtool=yes @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vehicle_demo.lo `test -f 'vehicle/demo/vehicle_demo.c' || echo '$(srcdir)/'`vehicle/demo/vehicle_demo.c
793
794 gui_internal.lo: gui/internal/gui_internal.c
795 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gui_internal.lo -MD -MP -MF $(DEPDIR)/gui_internal.Tpo -c -o gui_internal.lo `test -f 'gui/internal/gui_internal.c' || echo '$(srcdir)/'`gui/internal/gui_internal.c
796 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/gui_internal.Tpo $(DEPDIR)/gui_internal.Plo
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gui/internal/gui_internal.c' object='gui_internal.lo' libtool=yes @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gui_internal.lo `test -f 'gui/internal/gui_internal.c' || echo '$(srcdir)/'`gui/internal/gui_internal.c
800
801 graphics_android.lo: graphics/android/graphics_android.c
802 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphics_android.lo -MD -MP -MF $(DEPDIR)/graphics_android.Tpo -c -o graphics_android.lo `test -f 'graphics/android/graphics_android.c' || echo '$(srcdir)/'`graphics/android/graphics_android.c
803 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/graphics_android.Tpo $(DEPDIR)/graphics_android.Plo
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='graphics/android/graphics_android.c' object='graphics_android.lo' libtool=yes @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphics_android.lo `test -f 'graphics/android/graphics_android.c' || echo '$(srcdir)/'`graphics/android/graphics_android.c
807
808 binfile.lo: map/binfile/binfile.c
809 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT binfile.lo -MD -MP -MF $(DEPDIR)/binfile.Tpo -c -o binfile.lo `test -f 'map/binfile/binfile.c' || echo '$(srcdir)/'`map/binfile/binfile.c
810 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/binfile.Tpo $(DEPDIR)/binfile.Plo
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/binfile/binfile.c' object='binfile.lo' libtool=yes @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o binfile.lo `test -f 'map/binfile/binfile.c' || echo '$(srcdir)/'`map/binfile/binfile.c
814
815 csv.lo: map/csv/csv.c
816 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT csv.lo -MD -MP -MF $(DEPDIR)/csv.Tpo -c -o csv.lo `test -f 'map/csv/csv.c' || echo '$(srcdir)/'`map/csv/csv.c
817 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/csv.Tpo $(DEPDIR)/csv.Plo
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/csv/csv.c' object='csv.lo' libtool=yes @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o csv.lo `test -f 'map/csv/csv.c' || echo '$(srcdir)/'`map/csv/csv.c
821
822 quadtree.lo: map/csv/quadtree.c
823 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT quadtree.lo -MD -MP -MF $(DEPDIR)/quadtree.Tpo -c -o quadtree.lo `test -f 'map/csv/quadtree.c' || echo '$(srcdir)/'`map/csv/quadtree.c
824 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/quadtree.Tpo $(DEPDIR)/quadtree.Plo
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/csv/quadtree.c' object='quadtree.lo' libtool=yes @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o quadtree.lo `test -f 'map/csv/quadtree.c' || echo '$(srcdir)/'`map/csv/quadtree.c
828
829 textfile.lo: map/textfile/textfile.c
830 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT textfile.lo -MD -MP -MF $(DEPDIR)/textfile.Tpo -c -o textfile.lo `test -f 'map/textfile/textfile.c' || echo '$(srcdir)/'`map/textfile/textfile.c
831 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/textfile.Tpo $(DEPDIR)/textfile.Plo
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/textfile/textfile.c' object='textfile.lo' libtool=yes @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o textfile.lo `test -f 'map/textfile/textfile.c' || echo '$(srcdir)/'`map/textfile/textfile.c
835
836 osd_core.lo: osd/core/osd_core.c
837 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT osd_core.lo -MD -MP -MF $(DEPDIR)/osd_core.Tpo -c -o osd_core.lo `test -f 'osd/core/osd_core.c' || echo '$(srcdir)/'`osd/core/osd_core.c
838 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/osd_core.Tpo $(DEPDIR)/osd_core.Plo
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='osd/core/osd_core.c' object='osd_core.lo' libtool=yes @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o osd_core.lo `test -f 'osd/core/osd_core.c' || echo '$(srcdir)/'`osd/core/osd_core.c
842
843 speech_android.lo: speech/android/speech_android.c
844 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT speech_android.lo -MD -MP -MF $(DEPDIR)/speech_android.Tpo -c -o speech_android.lo `test -f 'speech/android/speech_android.c' || echo '$(srcdir)/'`speech/android/speech_android.c
845 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/speech_android.Tpo $(DEPDIR)/speech_android.Plo
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='speech/android/speech_android.c' object='speech_android.lo' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o speech_android.lo `test -f 'speech/android/speech_android.c' || echo '$(srcdir)/'`speech/android/speech_android.c
849
850 mostlyclean-libtool:
851 -rm -f *.lo
852
853 clean-libtool:
854 -rm -rf .libs _libs
855 install-pkgdataDATA: $(pkgdata_DATA)
856 @$(NORMAL_INSTALL)
857 test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
858 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
859 for p in $$list; do \
860 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
861 echo "$$d$$p"; \
862 done | $(am__base_list) | \
863 while read files; do \
864 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
865 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
866 done
867
868 uninstall-pkgdataDATA:
869 @$(NORMAL_UNINSTALL)
870 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
871 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
872 test -n "$$files" || exit 0; \
873 echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
874 cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
875
876 # This directory's subdirectories are mostly independent; you can cd
877 # into them and run `make' without going through this Makefile.
878 # To change the values of `make' variables: instead of editing Makefiles,
879 # (1) if the variable is set in `config.status', edit `config.status'
880 # (which will cause the Makefiles to be regenerated when you run `make');
881 # (2) otherwise, pass the desired values on the `make' command line.
882 $(RECURSIVE_TARGETS):
883 @fail= failcom='exit 1'; \
884 for f in x $$MAKEFLAGS; do \
885 case $$f in \
886 *=* | --[!k]*);; \
887 *k*) failcom='fail=yes';; \
888 esac; \
889 done; \
890 dot_seen=no; \
891 target=`echo $@ | sed s/-recursive//`; \
892 list='$(SUBDIRS)'; for subdir in $$list; do \
893 echo "Making $$target in $$subdir"; \
894 if test "$$subdir" = "."; then \
895 dot_seen=yes; \
896 local_target="$$target-am"; \
897 else \
898 local_target="$$target"; \
899 fi; \
900 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
901 || eval $$failcom; \
902 done; \
903 if test "$$dot_seen" = "no"; then \
904 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
905 fi; test -z "$$fail"
906
907 $(RECURSIVE_CLEAN_TARGETS):
908 @fail= failcom='exit 1'; \
909 for f in x $$MAKEFLAGS; do \
910 case $$f in \
911 *=* | --[!k]*);; \
912 *k*) failcom='fail=yes';; \
913 esac; \
914 done; \
915 dot_seen=no; \
916 case "$@" in \
917 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
918 *) list='$(SUBDIRS)' ;; \
919 esac; \
920 rev=''; for subdir in $$list; do \
921 if test "$$subdir" = "."; then :; else \
922 rev="$$subdir $$rev"; \
923 fi; \
924 done; \
925 rev="$$rev ."; \
926 target=`echo $@ | sed s/-recursive//`; \
927 for subdir in $$rev; do \
928 echo "Making $$target in $$subdir"; \
929 if test "$$subdir" = "."; then \
930 local_target="$$target-am"; \
931 else \
932 local_target="$$target"; \
933 fi; \
934 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
935 || eval $$failcom; \
936 done && test -z "$$fail"
937 tags-recursive:
938 list='$(SUBDIRS)'; for subdir in $$list; do \
939 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
940 done
941 ctags-recursive:
942 list='$(SUBDIRS)'; for subdir in $$list; do \
943 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
944 done
945
946 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
947 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
948 unique=`for i in $$list; do \
949 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
950 done | \
951 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
952 END { if (nonempty) { for (i in files) print i; }; }'`; \
953 mkid -fID $$unique
954 tags: TAGS
955
956 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
957 $(TAGS_FILES) $(LISP)
958 set x; \
959 here=`pwd`; \
960 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
961 include_option=--etags-include; \
962 empty_fix=.; \
963 else \
964 include_option=--include; \
965 empty_fix=; \
966 fi; \
967 list='$(SUBDIRS)'; for subdir in $$list; do \
968 if test "$$subdir" = .; then :; else \
969 test ! -f $$subdir/TAGS || \
970 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
971 fi; \
972 done; \
973 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
974 unique=`for i in $$list; do \
975 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
976 done | \
977 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
978 END { if (nonempty) { for (i in files) print i; }; }'`; \
979 shift; \
980 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
981 test -n "$$unique" || unique=$$empty_fix; \
982 if test $$# -gt 0; then \
983 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
984 "$$@" $$unique; \
985 else \
986 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
987 $$unique; \
988 fi; \
989 fi
990 ctags: CTAGS
991 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
992 $(TAGS_FILES) $(LISP)
993 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
994 unique=`for i in $$list; do \
995 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
996 done | \
997 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
998 END { if (nonempty) { for (i in files) print i; }; }'`; \
999 test -z "$(CTAGS_ARGS)$$unique" \
1000 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1001 $$unique
1002
1003 GTAGS:
1004 here=`$(am__cd) $(top_builddir) && pwd` \
1005 && $(am__cd) $(top_srcdir) \
1006 && gtags -i $(GTAGS_ARGS) "$$here"
1007
1008 distclean-tags:
1009 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1010
1011 distdir: $(DISTFILES)
1012 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1013 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1014 list='$(DISTFILES)'; \
1015 dist_files=`for file in $$list; do echo $$file; done | \
1016 sed -e "s|^$$srcdirstrip/||;t" \
1017 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1018 case $$dist_files in \
1019 */*) $(MKDIR_P) `echo "$$dist_files" | \
1020 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1021 sort -u` ;; \
1022 esac; \
1023 for file in $$dist_files; do \
1024 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1025 if test -d $$d/$$file; then \
1026 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1027 if test -d "$(distdir)/$$file"; then \
1028 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1029 fi; \
1030 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1031 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1032 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1033 fi; \
1034 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1035 else \
1036 test -f "$(distdir)/$$file" \
1037 || cp -p $$d/$$file "$(distdir)/$$file" \
1038 || exit 1; \
1039 fi; \
1040 done
1041 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1042 if test "$$subdir" = .; then :; else \
1043 test -d "$(distdir)/$$subdir" \
1044 || $(MKDIR_P) "$(distdir)/$$subdir" \
1045 || exit 1; \
1046 fi; \
1047 done
1048 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1049 if test "$$subdir" = .; then :; else \
1050 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1051 $(am__relativize); \
1052 new_distdir=$$reldir; \
1053 dir1=$$subdir; dir2="$(top_distdir)"; \
1054 $(am__relativize); \
1055 new_top_distdir=$$reldir; \
1056 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1057 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1058 ($(am__cd) $$subdir && \
1059 $(MAKE) $(AM_MAKEFLAGS) \
1060 top_distdir="$$new_top_distdir" \
1061 distdir="$$new_distdir" \
1062 am__remove_distdir=: \
1063 am__skip_length_check=: \
1064 am__skip_mode_fix=: \
1065 distdir) \
1066 || exit 1; \
1067 fi; \
1068 done
1069 check-am: all-am
1070 check: $(BUILT_SOURCES)
1071 $(MAKE) $(AM_MAKEFLAGS) check-recursive
1072 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA)
1073 install-binPROGRAMS: install-libLTLIBRARIES
1074
1075 installdirs: installdirs-recursive
1076 installdirs-am:
1077 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"; do \
1078 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1079 done
1080 install: $(BUILT_SOURCES)
1081 $(MAKE) $(AM_MAKEFLAGS) install-recursive
1082 install-exec: install-exec-recursive
1083 install-data: install-data-recursive
1084 uninstall: uninstall-recursive
1085
1086 install-am: all-am
1087 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1088
1089 installcheck: installcheck-recursive
1090 install-strip:
1091 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1092 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1093 `test -z '$(STRIP)' || \
1094 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1095 mostlyclean-generic:
1096
1097 clean-generic:
1098
1099 distclean-generic:
1100 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1101 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1102
1103 maintainer-clean-generic:
1104 @echo "This command is intended for maintainers to use"
1105 @echo "it deletes files that may require special tools to rebuild."
1106 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1107 clean: clean-recursive
1108
1109 clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
1110 clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1111
1112 distclean: distclean-recursive
1113 -rm -rf ./$(DEPDIR)
1114 -rm -f Makefile
1115 distclean-am: clean-am distclean-compile distclean-generic \
1116 distclean-local distclean-tags
1117
1118 dvi: dvi-recursive
1119
1120 dvi-am:
1121
1122 html: html-recursive
1123
1124 html-am:
1125
1126 info: info-recursive
1127
1128 info-am:
1129
1130 install-data-am: install-pkgdataDATA
1131
1132 install-dvi: install-dvi-recursive
1133
1134 install-dvi-am:
1135
1136 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
1137
1138 install-html: install-html-recursive
1139
1140 install-html-am:
1141
1142 install-info: install-info-recursive
1143
1144 install-info-am:
1145
1146 install-man:
1147
1148 install-pdf: install-pdf-recursive
1149
1150 install-pdf-am:
1151
1152 install-ps: install-ps-recursive
1153
1154 install-ps-am:
1155
1156 installcheck-am:
1157
1158 maintainer-clean: maintainer-clean-recursive
1159 -rm -rf ./$(DEPDIR)
1160 -rm -f Makefile
1161 maintainer-clean-am: distclean-am maintainer-clean-generic
1162
1163 mostlyclean: mostlyclean-recursive
1164
1165 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1166 mostlyclean-libtool
1167
1168 pdf: pdf-recursive
1169
1170 pdf-am:
1171
1172 ps: ps-recursive
1173
1174 ps-am:
1175
1176 uninstall-am: uninstall-binPROGRAMS uninstall-libLTLIBRARIES \
1177 uninstall-pkgdataDATA
1178
1179 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
1180 ctags-recursive install install-am install-strip \
1181 tags-recursive
1182
1183 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1184 all all-am check check-am clean clean-binPROGRAMS \
1185 clean-generic clean-libLTLIBRARIES clean-libtool \
1186 clean-noinstLTLIBRARIES ctags ctags-recursive distclean \
1187 distclean-compile distclean-generic distclean-libtool \
1188 distclean-local distclean-tags distdir dvi dvi-am html html-am \
1189 info info-am install install-am install-binPROGRAMS \
1190 install-data install-data-am install-dvi install-dvi-am \
1191 install-exec install-exec-am install-html install-html-am \
1192 install-info install-info-am install-libLTLIBRARIES \
1193 install-man install-pdf install-pdf-am install-pkgdataDATA \
1194 install-ps install-ps-am install-strip installcheck \
1195 installcheck-am installdirs installdirs-am maintainer-clean \
1196 maintainer-clean-generic mostlyclean mostlyclean-compile \
1197 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1198 tags tags-recursive uninstall uninstall-am \
1199 uninstall-binPROGRAMS uninstall-libLTLIBRARIES \
1200 uninstall-pkgdataDATA
1201
1202 navit.xml: navit_shipped.xml $(foreach xslt, $(subst $(comma), ,$(XSLTS)), $(addsuffix .xslt,$(addprefix xslt/,$(xslt)))) navit_android_xml
1203 cp $< navit.xml.new
1204 if [ ! -f navit.dtd ]; then cp -f $(top_srcdir)/navit/navit.dtd .; fi
1205 for i in $^; do if [ "$${i%.xslt}" != "$$i" ]; then echo "Applying $$i" ; @SAXON@ -snone navit.xml.new $$i >navit.xml.tmp || exit ; mv navit.xml.tmp navit.xml.new || exit ; fi ; done
1206 mv navit.xml.new navit.xml
1207 rm -f navit.xml.tmp
1208
1209 navit_android_xml: navit_shipped.xml
1210 # new android xml files for (mdpi,ldpi,hdpi)
1211 @SUPPORT_ANDROID_TRUE@ cp $(srcdir)/navit_shipped.xml navit_android.xml.new
1212 @SUPPORT_ANDROID_TRUE@ if [ ! -f navit.dtd ]; then cp -f $(top_srcdir)/navit/navit.dtd .; fi
1213
1214 # # now apply any other xslt files (this would allow for pedestrian plugin)
1215 # for i in $(foreach xslt, $(subst $(comma), ,$(XSLTS)), $(addsuffix .xslt,$(addprefix xslt/,$(xslt)))); do if [ "$${i%.xslt}" != "$$i" ]; then j=`basename $$i` ; if [ "$$j" != "android.xslt" ] ; then echo "Android: Applying $$i" ; @SAXON@ -snone navit_android.xml.new $(srcdir)/"$$i" >navit_android.xml.new.tmp || exit ; mv navit_android.xml.new.tmp navit_android.xml.new || exit ; fi ; fi ; done
1216 # # for now disable pedestrian plugin (zoff99)
1217
1218 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_mdpi.xslt >navit_android_mdpi.xml.tmp
1219 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_ldpi.xslt >navit_android_ldpi.xml.tmp
1220 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_hdpi.xslt >navit_android_hdpi.xml.tmp
1221 @SUPPORT_ANDROID_TRUE@ rm -f navit_android.xml.new
1222 @SUPPORT_ANDROID_TRUE@ rm -f navit_android.xml.new.tmp
1223 @SUPPORT_ANDROID_TRUE@ mv navit_android_mdpi.xml.tmp navit_android_mdpi.xml
1224 @SUPPORT_ANDROID_TRUE@ mv navit_android_ldpi.xml.tmp navit_android_ldpi.xml
1225 @SUPPORT_ANDROID_TRUE@ mv navit_android_hdpi.xml.tmp navit_android_hdpi.xml
1226 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_mdpi.xml.tmp
1227 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_ldpi.xml.tmp
1228 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_hdpi.xml.tmp
1229 @SUPPORT_ANDROID_FALSE@ echo "no Android support"
1230
1231 @SUPPORT_ANDROID_TRUE@android/AndroidManifest.xml: android/AndroidManifest.xml.in
1232 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android
1233 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-hdpi
1234 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-mdpi
1235 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-ldpi
1236
1237 @SUPPORT_ANDROID_TRUE@ sed '0,/<uses-sdk/!d' <$< >$@
1238 @SUPPORT_ANDROID_TRUE@ for i in $(subst $(comma), ,@ANDROID_PERMISSIONS@); do echo " <uses-permission android:name=\"android.permission.$$i\" />" >>$@; done
1239 @SUPPORT_ANDROID_TRUE@ sed '0,/<uses-sdk/d' <$< >>$@
1240 @SUPPORT_ANDROID_TRUE@ sed -e "s/@ANDROID_VERSION_INT@/$(v_int)/" <$@ >android/AndroidManifest.xml.tmp
1241 @SUPPORT_ANDROID_TRUE@ mv android/AndroidManifest.xml.tmp $@
1242 @SUPPORT_ANDROID_TRUE@ sed -e "s/@ANDROID_VERSION_NAME@/$(v_name)/" <$@ >android/AndroidManifest.xml.tmp
1243 @SUPPORT_ANDROID_TRUE@ mv android/AndroidManifest.xml.tmp $@
1244
1245 @SUPPORT_ANDROID_TRUE@android/build.xml: android/AndroidManifest.xml android/dummy.txt
1246 # this is needed, otherwise somehow the files cant be deleted
1247 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/src/
1248 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/android/src/; fi
1249 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android/src/; fi
1250 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/android/* $(builddir)/android; fi
1251
1252 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android/lib/; fi
1253 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/lib/
1254 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -pf $(srcdir)/android/tagsoup-1.2.1.jar $(builddir)/android/lib/; fi
1255
1256 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1257 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1258
1259 # mkdir -p $(builddir)/actionbarsherlock/src/
1260 # if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/actionbarsherlock/src/; fi
1261 # if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/actionbarsherlock/src/; fi
1262 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/actionbarsherlock/* $(builddir)/actionbarsherlock; fi
1263 # touch $(srcdir)/actionbarsherlock/dummy.txt
1264 # touch $(builddir)/actionbarsherlock/dummy.txt
1265 #
1266 # android update project -t @ANDROID_PROJECT@ -p android -l ../actionbarsherlock
1267 # echo "jar.libs.dir=lib" >> $(builddir)/android/ant.properties
1268
1269 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android-support-v7-appcompat/src/
1270 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/android-support-v7-appcompat/src/; fi
1271 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android-support-v7-appcompat/src/; fi
1272 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/android-support-v7-appcompat/* $(builddir)/android-support-v7-appcompat/; fi
1273 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android-support-v7-appcompat/dummy.txt
1274 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android-support-v7-appcompat/dummy.txt
1275
1276 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then mkdir -p $(builddir)/android/src/com/zoffcc/applications/zanavi_msg/ ; fi
1277 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -pf $(builddir)/android/aidl/com/zoffcc/applications/zanavi_msg/*.aidl $(builddir)/android/src/com/zoffcc/applications/zanavi_msg/ ; fi
1278
1279 # android update lib-project -t @ANDROID_PROJECT@ -p $(builddir)/android-support-v7-appcompat
1280 @SUPPORT_ANDROID_TRUE@ android update project -t @ANDROID_PROJECT@ -p android -l ../android-support-v7-appcompat
1281 @SUPPORT_ANDROID_TRUE@ echo "jar.libs.dir=lib" >> $(builddir)/android/ant.properties
1282
1283 @SUPPORT_ANDROID_TRUE@apkg-all: all android/build.xml navit.xml
1284 @SUPPORT_ANDROID_TRUE@ mkdir -p android/libs/$(b_arch)
1285 @SUPPORT_ANDROID_TRUE@ cp .libs/*.so android/libs/$(b_arch)/libnavit.so
1286 @SUPPORT_ANDROID_TRUE@ for i in */*/.libs/*.so ; do sed 's&lib_data_data_com\.zoffcc\.applications\.zanavi_lib_&/data/data/com.zoffcc.applications.zanavi/lib/lib&' <$$i >android/libs/$(b_arch)/$$(basename $$i); done
1287
1288 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-ldpi
1289 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-mdpi
1290 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-hdpi
1291 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-xhdpi
1292 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-xxhdpi
1293
1294 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-hdpi
1295 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-mdpi
1296 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-ldpi
1297
1298 # all icons and imgs
1299 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_16_16.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-ldpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_16_16xx') ; done ; fi
1300 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_32_32.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-mdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_32_32xx') ; done ; fi
1301 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-hdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1302 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-xhdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1303
1304 # nav icons (overwrite with larger versions)
1305 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-ldpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1306 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-mdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1307 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_96_96.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-hdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_96_96xx') ; done ; fi
1308 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_192_192.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-xhdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_192_192xx') ; done ; fi
1309
1310 # only use needed pngs to make size of apk smaller
1311 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1312 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1313 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1314 # gui icons
1315 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-hdpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1316 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-mdpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1317 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-ldpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1318 # nav icons
1319 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-hdpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1320 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-mdpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1321 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-ldpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1322 # POIs
1323 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1324 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1325 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1326 # more POIs
1327 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1328 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1329 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1330 # rest of nav_ icons
1331 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-hdpi/nav_destination_bk_59_59.png android/res/drawable-hdpi/nav_destination_bk.png ; fi
1332 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-mdpi/nav_destination_bk_59_59.png android/res/drawable-mdpi/nav_destination_bk.png ; fi
1333 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-ldpi/nav_destination_bk_59_59.png android/res/drawable-ldpi/nav_destination_bk.png ; fi
1334
1335 # if release build -> then compress png images (this takes a long time!!!)
1336 #
1337 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-hdpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1338 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-mdpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1339 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-ldpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1340
1341 # remove old libs
1342 @SUPPORT_ANDROID_TRUE@ ls -al android/libs/$(b_arch)/lib*.so
1343 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgraphics_android.so
1344 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgraphics_null.so
1345 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgui_internal.so
1346 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_binfile.so
1347 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_csv.so
1348 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_filter.so
1349 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_mg.so
1350 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_shapefile.so
1351 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_textfile.so
1352 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libosd_core.so
1353 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libspeech_android.so
1354 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_android.so
1355 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_demo.so
1356 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_file.so
1357 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_pipe.so
1358 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_serial.so
1359 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_socket.so
1360
1361 # clean up
1362 # rm android/res2/drawable-hdpi/*
1363 # rm android/res2/drawable-mdpi/*
1364 # rm android/res2/drawable-ldpi/*
1365
1366 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/raw
1367 @SUPPORT_ANDROID_TRUE@ for i in $(shell cd ../po && echo *.mo); do cp ../po/$$i android/res/raw/$$( echo $$i | tr "[A-Z]" "[a-z]") ; done
1368 # cp navit.xml android/res/raw
1369 @SUPPORT_ANDROID_TRUE@ cp navit_android_mdpi.xml android/res/raw/navitmdpi.xml
1370 @SUPPORT_ANDROID_TRUE@ cp navit_android_ldpi.xml android/res/raw/navitldpi.xml
1371 @SUPPORT_ANDROID_TRUE@ cp navit_android_hdpi.xml android/res/raw/navithdpi.xml
1372
1373 # cleanup svn dirs, they should never be in build dir
1374 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then find $(builddir) -type d -name '\.svn' -exec rm -Rf {} \; ; fi; echo "ignore the find errors!!"
1375
1376 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/libs/$(b_arch) ; fi
1377 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then install -p $(NDK)/prebuilt/android-arm/gdbserver/gdbserver android/libs/$(b_arch)/gdbserver ; fi
1378 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/libs/$(b_arch) ; fi
1379 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/obj/local/$(b_arch) ; fi
1380 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then cp android/libs/$(b_arch)/*.so android/obj/local/$(b_arch)/ ; fi
1381 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then echo "set solib-search-path $(builddir)/obj/local/$(b_arch)" > android/libs/$(b_arch)/gdb.setup ; fi
1382 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then echo "directory $(NDK)/platforms/android-""$(AND_API_LEVEL_C)""/arch-arm/usr/include $(NDK)/sources/cxx-stl/system" >> android/libs/$(b_arch)/gdb.setup ; fi
1383
1384 # strip libs if release build is selected
1385 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; arm-linux-androideabi-strip --strip-unneeded $(builddir)/android/libs/armeabi/* ; echo "done" ; fi
1386 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; arm-linux-androideabi-strip --strip-unneeded $(builddir)/android/libs/armeabi-v7a/* ; echo "done" ; fi
1387 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; /home/navit/_navit_develop/_need/NDK/_unpack/android-ndk-r5c/toolchains/x86-4.8/prebuilt/linux-x86/bin/i686-linux-android-strip --strip-unneeded $(builddir)/android/libs/x86/* ; echo "done" ; fi
1388
1389 @SUPPORT_ANDROID_TRUE@apkg: apkg-all
1390 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1391 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1392 @SUPPORT_ANDROID_TRUE@ cd android && ant debug
1393 # zipalign is already run automatically
1394
1395 @SUPPORT_ANDROID_TRUE@apkg-release: apkg-all
1396 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1397 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1398 @SUPPORT_ANDROID_TRUE@ cd android && ant release
1399 # jarsigner $$(cat ~/.keys_args) android/bin/Navit-unsigned.apk mykey
1400 # zipalign -f 4 android/bin/Navit-unsigned.apk android/bin/Navit-aligned.apk
1401 @SUPPORT_ANDROID_TRUE@ /home/navit/_navit_develop/_need/SDK/_unpack/android-sdk-linux_SDK_r22.0.1/build-tools/21.1.1/zipalign -f 4 android/bin/Navit-release-unsigned.apk android/bin/Navit-aligned.apk
1402 @SUPPORT_ANDROID_TRUE@ cp android/bin/Navit-aligned.apk android/bin/Navit-debug.apk
1403
1404 @SUPPORT_WIN32_TRUE@resource.rsc: $(top_srcdir)/navit/gui/win32/resources/resource.rc
1405 @SUPPORT_WIN32_TRUE@ $(WINDRES) -I $(top_srcdir)/navit/gui/win32/resources $(top_srcdir)/navit/gui/win32/resources/resource.rc resource.rsc
1406
1407 .PHONY: version.h.tmp
1408
1409 version.h.tmp:
1410 echo "#include \"config.h\"" >version.h.tmp
1411 @SOURCE_MODE_SVN_TRUE@ echo "#define SVN_VERSION \"$$(LANG=C svnversion $(top_srcdir) 2>/dev/null)\"" >>version.h.tmp
1412 @SOURCE_MODE_SVN_FALSE@ echo "#define SVN_VERSION \"@SOURCE_MODE@\"" >>version.h.tmp
1413 echo "#define NAVIT_VARIANT \"@NAVIT_VARIANT@\"" >>version.h.tmp
1414 if ! diff version.h.tmp version.h >/dev/null 2>/dev/null; \
1415 then \
1416 mv version.h.tmp version.h; \
1417 fi
1418
1419 version.h: version.h.tmp
1420
1421 navit_config.h: ../config.h
1422 cp ../config.h navit_config.h.tmp
1423 if ! diff navit_config.h.tmp navit_config.h >/dev/null 2>/dev/null; \
1424 then \
1425 mv navit_config.h.tmp navit_config.h; \
1426 fi
1427
1428 distclean-local:
1429 rm -f version.h version.h.tmp navit_config.h navit_config.h.tmp builtin.c support-builtin.c navit.xml
1430 if [ "$(top_builddir)" != "$(top_srcdir)" ]; then rm -f navit.dtd; fi
1431
1432 builtin.c: $(top_builddir)/config.h
1433 ls $(top_builddir)/navit/*/*/*.la | sed -e "s/\.la/_init(void);/" -e "s/.*lib/extern void module_/" >builtin.c
1434 echo "extern void builtin_init(void);" >>builtin.c
1435 echo "void builtin_init(void) {" >>builtin.c
1436 ls $(top_builddir)/navit/*/*/*.la | sed -e "s/\.la/_init();/" -e "s/.*\\/lib/ module_/" >>builtin.c
1437 echo "}" >>builtin.c
1438 support-builtin.c: $(top_builddir)/config.h
1439 ls $(top_builddir)/navit/support/*/*.la | sed -e "s/\.la/_init(void);/" -e "s/.*lib/extern void module_/" >support-builtin.c
1440 echo "extern void builtin_init(void);" >>support-builtin.c
1441 echo "void builtin_init(void) {" >>support-builtin.c
1442 ls $(top_builddir)/navit/support/*/*.la | sed -e "s/\.la/_init();/" -e "s/.*\\/lib/ module_/" >>support-builtin.c
1443 echo "}" >>support-builtin.c
1444
1445 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1446 # Otherwise a system limit (for SysV at least) may be exceeded.
1447 .NOEXPORT:

   
Visit the ZANavi Wiki